Summary: Set up zoneminder for SME Server.
Name: smeserver-zoneminder
Version: 0.1
Release: 4.el4.sme%{?dist}
License: GNU GPL version 2
URL: http://www.contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 7.0
Requires: zoneminder
Requires: e-smith-base
AutoReqProv: no

%description
rpm to setup zoneminder

%changelog
* Sat Sep 01 2007 Steve Ognenovski <steve@socomms.com> - 0.1-2
- added 23zoneminder 
- expand templates on %post and %postun
- start zoneminder daemon
- removed ScriptAlias from 86zoneminder
- added to %post mysql mysql < /usr/share/zoneminder/db/zm_create.sql
- added to %postun mysqladmin -f drop zm

* Fri Aug 10 2007 Greg Swallow <greg@runlevle7.ca> - 0.1-1
- initial release

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post
mysql mysql < /usr/share/zoneminder/db/zm_create.sql
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/etc/init.d/httpd graceful
/etc/init.d/zoneminder start
true

%postun
mysqladmin -f drop zm
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/etc/init.d/httpd graceful
true

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
